Bug 985573 - lua-socket 3.0rc1 supports ipv6 but is a pain to build
lua-socket 3.0rc1 supports ipv6 but is a pain to build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lua-socket (Show other bugs)
20
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 999953
  Show dependency treegraph
 
Reported: 2013-07-17 15:08 EDT by Trever Adams
Modified: 2018-04-11 15:13 EDT (History)
5 users (show)

See Also:
Fixed In Version: lua-socket-3.0-0.10.rc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:05:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch to fix build. (1.37 KB, patch)
2013-07-17 15:08 EDT, Trever Adams
no flags Details | Diff
Fix the makefile to use CFLAG options in RPM build process. (333 bytes, patch)
2013-07-17 15:09 EDT, Trever Adams
no flags Details | Diff
Build 3.0rc1 for lua 5.1 and 5.2 (3.29 KB, patch)
2013-12-19 15:26 EST, Trever Adams
no flags Details | Diff

  None (edit)
Description Trever Adams 2013-07-17 15:08:41 EDT
Created attachment 774936 [details]
spec file patch to fix build.

Description of problem:
Prosody 0.9.0 supports IPv6 if lua-socket 3.0rc1 is available.

I would like to see both of these packages in F20 and, if possible/appropriate, F19.

https://github.com/diegonehab/luasocket is where 3.0 can be found. I am aware it isn't released yet.

Attached are patches to get it to build. I have done this myself for F19.
Comment 1 Trever Adams 2013-07-17 15:09:29 EDT
Created attachment 774937 [details]
Fix the makefile to use CFLAG options in RPM build process.
Comment 2 Trever Adams 2013-08-21 12:16:00 EDT
Prosody 0.9.0 wasn't released when I filed this bug. It now has, making this somewhat of a real issue.
Comment 3 Matěj Cepl 2013-08-23 08:24:10 EDT
Build for Rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=5845484

Maintainer, do you have any objections against pushing to other branches?
Comment 4 Matěj Cepl 2013-08-26 05:47:06 EDT
Yes, I do have objections: according to http://kojipkgs.fedoraproject.org//work/tasks/3606/5853606/build.log we are missing (at least)

luasocket/io.h

header file.

Also, looking at ./makefile it seems luasocket COULD support BOTH 5.1 and 5.2 lua. Limiting the latest version of lua-socket only to distros with 5.2 (which is what we effectively do now) when lua being dependency of rpm is unupgradable seems like a bad step.
Comment 5 Trever Adams 2013-09-09 14:22:38 EDT
Would one of you mind looking at: https://github.com/diegonehab/luasocket/issues/70#issuecomment-24099582

This is where I posted a bug report against luasocket for the makefile patch. I would love for one of you who are more knowledgeable about what is going on in RPM and SPEC files to take over that bug report so that it truly works.

Thank you.
Comment 6 Fedora End Of Life 2013-09-16 10:36:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Trever Adams 2013-12-19 01:09:51 EST
This is still an issue, obviously. I am having less success rolling my own lua-socket/prosody setup since upgrading to Fedora 20.

I am willing to help out. I just need to know what to do.
Comment 8 Trever Adams 2013-12-19 15:26:23 EST
Created attachment 839239 [details]
Build 3.0rc1 for lua 5.1 and 5.2

I am not sure how to prepend other packages, so, this just packages the 5.1 and 5.2 in the same RPM. I am sure someone with more knowledge will be happy to fix this.
Comment 9 Fedora End Of Life 2015-05-29 05:11:37 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 08:05:42 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Robert Scheck 2015-06-29 08:11:06 EDT
We do have lua-socket-3.0-0.10.rc1.fcX and lua-socket-3.0-0.10.rc1.elX on
all branches for quite a while now because I did this.

Note You need to log in before you can comment on or make changes to this bug.